/{organizationId}/{mandateId}/crm/contacts/{contactId}Update contact
Updates basic contact information
Required permissions:
mandate.read
Permissions depending on contact type:
contact:member
contact:address
contact:customer
contact:sponsor
contact:contributor
contact:employee
contact:supplier
Path Parameters
organizationIdstringrequired contactIdstringrequired mandateIdstringrequired Request Body required
Content-Type: application/json
languagestringoptional Options:
endemaxItems: 20
maxItems: 64
contactTypestringoptional Options:
memberaddresscustomersponsorcontributoremployeesuppliercontactNumberstringoptional maxLength: 24
Authentication: X-API-Key
Request
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/crm/contacts/{contactId}' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"networkConsent": {
"participating": true,
"date": "string"
},
"language": "en",
"person": {
"salutation": "string",
"gender": "male",
"title": "string",
"firstName": "string",
"lastName": "string",
"institutionName": "string",
"printInstitutionOnAddress": true,
"birthdate": "string"
}
}'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
Valueany Response
"string"400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}